Bug 974834 - Review Request: libgit2-glib - Git library for GLib
Review Request: libgit2-glib - Git library for GLib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Casal Quinteiro (nacho)
Fedora Extras Quality Assurance
:
Depends On: 867959
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 06:31 EDT by Kalev Lember
Modified: 2013-06-30 21:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: libgit2-glib-0.0.2-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-30 21:51:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
icq: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalev Lember 2013-06-16 06:31:34 EDT
Spec URL: http://kalev.fedorapeople.org/libgit2-glib.spec
SRPM URL: http://kalev.fedorapeople.org/libgit2-glib-0.0.2-1.fc20.src.rpm
Description:
libgit2-glib is a glib wrapper library around the libgit2 git access library.

Fedora Account System Username: kalev
Comment 1 Ignacio Casal Quinteiro (nacho) 2013-06-16 07:21:53 EDT
MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]

[nacho@winterfell Downloads]$ rpmlint libgit2-glib-0.0.2-1.fc20.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


MUST: The package must be named according to the Package Naming Guidelines .
OK

MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
OK

MUST: The package must meet the Packaging Guidelines .
OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK.

MUST: The License field in the package spec file must match the actual license. [3]
OK

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
OK, it is included and set on doc

MUST: The spec file must be written in American English. [5]
OK

MUST: The spec file for the package MUST be legible. [6]
It is!

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

[nacho@winterfell SPECS]$ sha256sum libgit2-glib-0.0.2.tar.xz 
e1e0c6e0cb6897c09e06edc06ee70befca2a3e1b3eb629c449b8ca0f49db75e5  libgit2-glib-0.0.2.tar.xz

[nacho@winterfell SPECS]$ sha256sum ../SOURCES/libgit2-glib-0.0.2.tar.xz 
e1e0c6e0cb6897c09e06edc06ee70befca2a3e1b3eb629c449b8ca0f49db75e5  ../SOURCES/libgit2-glib-0.0.2.tar.xz

They both match correctly.

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
http://koji.fedoraproject.org/koji/taskinfo?taskID=5509104


MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
It is fine for 64 and 32

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
It is fine

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
Not needed.

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
It does

MUST: Packages must NOT bundle copies of system libraries.[11]
It doesn't


MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
Not needed

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
This is not completely correct, we should one of these:
1) have libgit2-glib depend on python3-gobject
2) have libgit2-glib also list /usr/lib64/python3.3/site-packages/gi/ and /usr/lib64/python3.3/site-packages/gi/overrides/ in its files list


MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
OK

MUST: Each package must consistently use macros. [16]
OK

MUST: The package must contain code, or permissable content. [17]
It does

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
It just uses gtk-doc stuff so this is fine.

MUST: Static libraries must be in a -static package. [19]
Not needed.

MUST: Development files must be in a -devel package. [20]
OK

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
OK

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[19]
They are removed.

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
No gui

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
OK

MUST: All filenames in rpm packages must be valid UTF-8. [24]
OK
Comment 2 Kalev Lember 2013-06-16 07:26:05 EDT
> MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory. [13]
> This is not completely correct, we should one of these:
> 1) have libgit2-glib depend on python3-gobject
> 2) have libgit2-glib also list /usr/lib64/python3.3/site-packages/gi/ and
> /usr/lib64/python3.3/site-packages/gi/overrides/ in its files list

Fixed.

* Sun Jun 16 2013 Kalev Lember <kalevlember@gmail.com> - 0.0.2-2
- Review fixes: depend on python3-gobject (#974834)

Spec URL: http://kalev.fedorapeople.org/libgit2-glib.spec
SRPM URL: http://kalev.fedorapeople.org/libgit2-glib-0.0.2-2.fc20.src.rpm
Comment 3 Ignacio Casal Quinteiro (nacho) 2013-06-16 07:27:59 EDT
It looks good to me now.
Comment 4 Kalev Lember 2013-06-16 07:32:32 EDT
Thanks for the review, nacho!

New Package SCM Request
=======================
Package Name: libgit2-glib
Short Description: Git library for GLib
Owners: nacho kalev
Branches: f19
InitialCC:
Comment 5 Gwyn Ciesla 2013-06-17 08:30:00 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.